Subject: Re: bug#47723: Boot failure with u-boot on cubietruck

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 13 Apr 2021 21:14:49 +0200

Hi Julien,

On Mon, 12 Apr 2021 13:18:30 +0200
Julien Lepiller <[email-masked]> wrote:

> I suspect something might have changed in u-boot recently (maybe the
> upgrade to 2021.01, since I didn't have to reboot this year yet). 
[...]
> board might not be initialized as expected and all kernels from 4.19 to
> the latest 5.11 fail to boot.

Yeah, that happens sometimes with u-boot.  It sucks--but I suspect there's just
not a lot of people updating their u-boot installation all the time (or at all
ever).

I'm not sure whether it's better to just provide the old u-boot or to figure
out what exactly broke (the latter is probably gonna take quite some time).

> In the end, I reinstalled a foreign distribution (that uses u-boot
> 2017.01) and can SSH to the machine, but I haven't reinstalled Guix
> yet. Guix was installed on an external disk, so I haven't lost anything
> other that the bootloader it installed. I can chroot to the Guix system:
> 
>   mount -v --bind /dev /mnt/dev
>   mount -v --bind /dev/pts /mnt/dev/pts
>   mount -vt proc proc /mnt/proc
>   mount -vt sysfs sysfs /mnt/sys
>   chroot /mnt /run/current-system/profile/bin/bash
>   . /etc/profile
> 
> What should be my next step?
> 
> I tried running guix from inside the chroot:
>   /root/.config/current/bin/guix-daemon --build-users-group=guixbuild &

Try

unshare -m /root/.config/current/bin/guix-daemon --build-users-group=guixbuild &

It should work then.